.offers_slider {
    text-align: center;
    flex-direction: column;
    justify-content: center;
    display: flex;
}

.swiper {
    margin-left: auto;
    margin-right: auto;
    position: relative;
    overflow: hidden;
    list-style: none;
    padding: 0;
    z-index: 1;
    display: block;
}

.swiper_horizontal {
    touch-action: pan-y;
}

.offers_slider .swiper {
    max-width: var(--width-mobile-xs);
    margin: 0 auto;
    overflow: hidden;
}

.swiper_wrapper {
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 1;
    display: flex;
    transition-property: transform;
    transition-timing-function: var(--swiper-wrapper-transition-timing-function, initial);
    box-sizing: content-box;
}

.swiper_android .swiper_slide,
.swiper_ios .swiper_slide,
.swiper_wrapper {
    transform: translate3d(0px, 0, 0);
}

.offers_slider .swiper_wrapper {
    height: auto;
    margin-bottom: var(--offset-sm-s);
}

.swiper_slide {
    flex-shrink: 0;
    width: 100%;
    height: 100%;
    position: relative;
    transition-property: transform;
    display: block;
}

.offers_slider .swiper_slide {
    height: auto;
    padding-top: var(--offset-sm-l);
}

.swiper_backface_hidden .swiper_slide {
    transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
}

.offers_slider .card {
    border-radius: var(--border-radius-l);
    background-color: var(--color-background-surface);
    flex-direction: column;
    height: 100%;
    display: flex;
}

.offers_slider .card_img {
    height: 288px;
    width: var(--width-full);
    border-radius: var(--border-radius-l) var(--border-radius-l) 0 0;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.muslim_account .card .card_img {
    background-image: linear-gradient(rgba(20, 198, 121, .5) 0%, rgba(20, 198, 121, 0) 74.27%);
}

.offers_slider .card_img:after {
    content: "";
    width: var(--width-full);
    background-position: top;
    background-repeat: no-repeat;
    background-size: cover;
    height: calc(100% + 16px);
    position: absolute;
    top: -16px;
    left: 0;
}

.offers_slider .card_wrap {
    padding: var(--offset-sm-l);
    flex-direction: column;
    flex-grow: 1;
    align-items: start;
    display: flex;
}

.offers_slider .card_wrap:not(:is(:lang(ae), :lang(ar), :lang(arc), :lang(bcc), :lang(bqi), :lang(ckb), :lang(dv), :lang(fa), :lang(glk), :lang(he), :lang(ku), :lang(mzn), :lang(nqo), :lang(pnb), :lang(ps), :lang(sd), :lang(ug), :lang(ur), :lang(yi))) {
    text-align: left;
}

.offers_slider .card_info {
    flex-grow: 1;
}

.offers_slider .card_text {
    color: var(--color-text-accent);
    margin-bottom: var(--offset-sm-s);
}

.offers_slider .card_title,
.offers_slider .card_subtitle {
    margin-bottom: var(--offset-sm-l);
}

.offers_slider .card_buttons {
    padding-top: var(--offset-sm-l);
    gap: var(--offset-sm-l);
    width: var(--width-full);
    box-sizing: border-box;
    flex-direction: column;
    display: flex;
}

.offers_slider .swiper_pagination_home {
    gap: var(--offset-sm-2xs);
    flex-direction: row;
    display: flex;
}

.offers_slider .swiper_pagination_home .swiper_pagination_bullet {
    cursor: pointer;
    background-color: var(--color-background-accent-negative);
    height: var(--height-sm-s);
    border-radius: var(--border-radius-xxs);
    flex-grow: 1;
    overflow: hidden;
}

.offers_slider .swiper_story_progress {
    background: var(--color-background-accent-positive);
    width: 0%;
    height: 100%;
    display: block;
}

.offers_slider .swiper_story_progress.active {
    animation: 5s linear forwards progress;
}

.offers_slider .swiper_story_progress.passed {
    background: var(--color-background-accent-positive);
    width: var(--width-full) !important;
}

@keyframes progress {
    0% {
        width: 0%;
    }
    100% {
        width: 100%;
    }
}

@media (min-width: 360px) {
    .offers_slider .swiper {
        max-width: 344px;
    }
}

@media (min-width: 768px) {
    .offers_slider .container {
        margin: 0px;
    }

    .offers_slider .swiper {
        max-width: var(--width-tablet-s);
    }

    .offers_slider .swiper_slide {
        height: 312px;
        padding-top: var(--offset-md-l);
    }

    .offers_slider .card {
        background-position: 100%;
        background-repeat: no-repeat;
        background-size: cover;
        flex-direction: row-reverse;
    }

    .muslim_account .card {
        background-image: linear-gradient(rgba(20, 198, 121, .5) 0%, rgba(20, 198, 121, 0) 74.27%);
    }

    .offers_slider .card_img {
        border-radius: 0 var(--border-radius-l) var(--border-radius-l) 0;
        width: 346px;
        height: 100%;
        background-image: unset !important;
    }

    .offers_slider .card_img:after {
        border-radius: 0 0 var(--border-radius-l) 0;
        background-position: 100% 100%;
        background-size: contain;
        height: calc(100% + 40px);
        top: -40px;
    }

    .offers_slider .card_img {
        border-radius: 0 var(--border-radius-l) var(--border-radius-l) 0;
        width: 346px;
        height: 100%;
        background-image: unset !important;
    }

    .offers_slider .card_wrap {
        box-sizing: border-box;
        padding: var(--offset-md-s);
        width: 312px;
        padding-right: 0;
    }

    .offers_slider .card_buttons {
        flex-direction: row;
    }

    .offers_slider .card_button {
        flex-grow: 1;
        flex-basis: 45%;
        min-width: 196px;
        max-width: -webkit-max-content;
        max-width: -moz-max-content;
        max-width: max-content;
    }

    .offers_slider .swiper_pagination_home {
        gap: var(--offset-sm-s);
    }

    .offers_slider .swiper_pagination_home .swiper_pagination_bullet {
        max-width: 56px;
    }
}

@media (min-width: 1024px) {
    .offers_slider .swiper {
        max-width: var(--width-tablet-m);
    }

    .offers_slider .swiper_slide {
        height: 368px;
    }

    .offers_slider .card_img {
        min-width: 430px;
    }

    .offers_slider .card_wrap {
        padding: var(--offset-md-l);
        width: 503px;
        padding-right: 0;
    }

    .offers_slider .card_text {
        margin-bottom: var(--offset-sm-l);
    }
}

@media (min-width: 1280px) {
    .offers_slider .swiper {
        max-width: var(--width-laptop-l);
    }

    .offers_slider .swiper_slide {
        height: 400px;
    }

    .offers_slider .card_img {
        min-width: 464px;
    }

    .offers_slider .card_wrap {
        padding: var(--offset-md-l);
        width: 503px;
        padding-right: 0;
    }

    .offers_slider .card_text {
        margin-bottom: var(--offset-sm-l);
    }
}

@media (min-width: 1380px) {
    .offers_slider .container {
        margin: 0px auto;
    }
}